Subject: HELP!WWW-siting of Lab Chemicals Producers Catalogues needed!

From: "Boris B.Semenov" <[email-masked]>
Date: Thu, 1 Feb 96 19:23:31 +0300

Dear netters,
is anybody aware of commercial fine chemicals & pharm intermediates
catalogues being available on WWW sites? I'd like to know web sites
of Sigma-Aldrich-Fluka, Lancaster, Maybridge and other producers of
laboratory-use chemicals. Any helpful suggestions are at most wellcome.
I thank You in advance
Boris B.Semenov